%define debug_package %{nil}

Name:          ukui-clock
Version:       3.0.1
Release:       1
Summary:       contain clock alarm,stopwatch,countdown
License:       GPL-2.1+ and GPL-3.0+
URL:           http://www.ukui.org
Source0:       %{name}-%{version}.tar.xz

BuildRequires: glib2-devel
BuildRequires: qt5-qtbase-devel
BuildRequires: qt5-qtsvg-devel
BuildRequires: qt5-qtmultimedia-devel
BuildRequires: qt5-qttools-devel
BuildRequires: gsettings-qt-devel
BuildRequires: dconf-devel
BuildRequires: libX11-devel
BuildRequires: libXtst-devel
BuildRequires: kylin-burner
BuildRequires: kf5-kwindowsystem-devel
BuildRequires: qt5-qtx11extras-devel
BuildRequires: pkgconf
BuildRequires: libXrandr-devel
BuildRequires: libXinerama-devel
BuildRequires: libXcursor-devel
BuildRequires: ukui-interface 


%description
contain clock alarm,stopwatch,countdown

%prep
%setup -q

%build
mkdir build && cd build
qmake-qt5 ..
make -j4

%install
rm -rf $RPM_BUILD_ROOT 
cd %{_builddir}/%{name}-%{version}/build
make INSTALL_ROOT=%{buildroot} install

%clean
rm -rf $RPM_BUILD_ROOT

%files 
 %{_bindir}/ukui-clock
%{_datadir}/applications/ukui-clock.desktop
%{_datadir}/ukui-clock

%changelog
* Mon Aug 8 2022 peijiankang <peijiankang@kylinos.cn> - 3.0.1-1
- Init package for openEuler
